#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

Summary:	aiohttp documentation theme
Summary(pl.UTF-8):	Motyw dokumentacji aiohttp
Name:		python-aiohttp_theme
Version:	0.1.7
Release:	1
License:	BSD
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/aiohttp-theme/
Source0:	https://pypi.debian.net/aiohttp_theme/aiohttp_theme-%{version}.tar.gz
# Source0-md5:	26db5586cca080fc7ee82582c312f579
URL:		https://pypi.org/project/aiohttp-theme/
%if %{with python2}
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
aiohttp documentation theme, based on Alabaster.

%description -l pl.UTF-8
Motyw dokumentacji aiohttp, oparty na motywie Alabaster.

%package -n python3-aiohttp_theme
Summary:	aiohttp documentation theme
Summary(pl.UTF-8):	Motyw dokumentacji aiohttp
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-aiohttp_theme
aiohttp documentation theme, based on Alabaster.

%description -n python3-aiohttp_theme -l pl.UTF-8
Motyw dokumentacji aiohttp, oparty na motywie Alabaster.

%prep
%setup -q -n aiohttp_theme-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py_sitescriptdir}/aiohttp_theme
%{py_sitescriptdir}/aiohttp_theme-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-aiohttp_theme
%defattr(644,root,root,755)
%doc LICENSE README.rst
%{py3_sitescriptdir}/aiohttp_theme
%{py3_sitescriptdir}/aiohttp_theme-%{version}-py*.egg-info
%endif
%changelog
* Mon Feb 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-aiohttp_theme.git;a=log;h=master

* Mon Feb 03 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> c1b13ce
- Up to 0.1.7

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 4e52832
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> f1220d5
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c6112ba
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> daa1d1e
- release 2 (by relup.sh)

* Sun Feb 07 2021 Jakub Bogusz <qboosh@pld-linux.org> adbc223
- new

